Subject: Re: Is cygffi.dll needed for SableVM JVM?
From: "Grzegorz B. Prokopski" <[email-masked]>
To: "Gerrit @ cygwin" <[email-masked]>
Cc: [email-masked], [email-masked]
Date: Sun, 19 Sep 2004 19:57:27 -0400

Hello again Gerrit,

W liście z sob, 18-09-2004, godz. 08:51, Gerrit P. Haase pisze: 
> > You mean I should edit /usr/share/libtool/libtool.m4 and change this
> > part, that is already specific to cygwin?
> >
> > cygwin*)
> >   # func_win32_libid is a shell function defined in ltmain.sh
> >   lt_cv_deplibs_check_method='file_magic ^x86 archive import|^x86 DLL'
> >   lt_cv_file_magic_cmd='func_win32_libid'
> >   ;;
> > 
> > It sounds hackish.  Terribly hackish.  If it's a normal thing you need
> > to do at least for some applications under cygwin, why not have some
> > kind of a switch for that included into official libtool?
> 
> Please submit a patch;)

I don't know enough about the problem and libtool yet.  We'll see.

But given your explanation below, sometime later you might switch to
pass_all but default.  Or it's not an option even in long term?

> It is as is for backward compatibility, new created DLLs don't need
> all the stuff with __declspec(import/export), however, some libs still
> use it and if you link against one which uses import/export
> definitions it may break things when using pass_all.   Then there are
> still some problems with exporting data, so it may also be needed to
> use import/export definitions with DLLs containing data, and then it
> would break too.  As long as you have libraries which don't use
> import/export definitions and since all code is PIC on Windows anyway,
> you may safely use pass_all.

If I see things right I don't really have to edit
/usr/share/libtool/libtool.m4, but instead I can (ugh...) patch
./configure for cygwin.  That'd be a cygwin-specific patch.

Thanks for help,

				Grzegorz B. Prokopski
-- 
Grzegorz B. Prokopski      <[email-masked]>
Debian GNU/Linux           http://www.debian.org
SableVM - LGPL'ed Java VM  http://www.sablevm.org
Why SableVM ?!?            http://devel.sablevm.org/wiki/Features

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/